// Copyright (c) 2023 Tudor Stanciu

import { localStorage } from "@flare/js-utils";
import { storageKeys } from "./constants";
import type { TuitioState } from "./types";

const { getItem } = localStorage;

const defaultTuitioState: TuitioState = { token: null, validUntil: null, userName: null };

const acquire = (): TuitioState => {
  const authData = getItem(storageKeys.AUTH_DATA);
  if (!authData) return defaultTuitioState;
  const { token, validUntil, userName } = authData;
  const data: TuitioState = {
    token,
    validUntil,
    userName
  };
  return data;
};

export { acquire };
