// Copyright (c) 2023 Tudor Stanciu

import { localStorage, camelizeKeys } from "@flare/js-utils";
import { storageKeys } from "./constants";
import type { TuitioTokenData } from "./types";

const { getItem } = localStorage;

const decodeToken = (): TuitioTokenData | null => {
  const authData = getItem(storageKeys.AUTH_DATA);
  if (!authData) return null;
  const { token } = authData;
  const decodedTokenBuffer = Buffer.from(token, "base64");
  const decodedTokenString = decodedTokenBuffer.toString("utf-8");
  const decodedToken = camelizeKeys(JSON.parse(decodedTokenString));
  return decodedToken;
};

export { decodeToken };
